Bug 187828

Summary: Review Request: log4net - A tool to output log statements to a variety of output targets
Product: [Fedora] Fedora Reporter: Christian Nolte <ch.nolte>
Component: Package ReviewAssignee: Christopher Brown <snecklifter>
Status: CLOSED DUPLICATE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kevin, opensource
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-09 07:12:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Christian Nolte 2006-04-03 15:36:40 EDT
Spec Name or Url: http://www.noltec.org/open-source/ifolder3/log4net.spec
SRPM Name or Url: http://www.noltec.org/open-source/ifolder3/log4net-1.2.9-1.src.rpm

Description: 
log4net is a port of the excellent log4j framework to the .NET runtime. 
The framework is kept similar in spirit to the original log4j while taking
advantage of new features in the .NET runtime.
Comment 1 John Mahowald 2006-06-03 01:31:28 EDT
Build failed: dos2unix: command not found

Is that log4net.key file a key you generated? I think that should be commented
in the spec, where it came from.

The %_libdir macro isn't going to work. I have not got to that part of the build
yet but I am reasonably sure it'll install to /usr/lib on x86_64 and fail.
Comment 2 John Mahowald 2006-10-11 09:10:30 EDT
With dos2unix as a BuildRequires, I get this:

Target(s) specified: compile-all

BUILD FAILED

/builddir/build/BUILD/log4net-1.2.9/log4net.include(188,14):
The current target framework (Mono 2.0 Profile) is not supported by log4net.
Comment 3 Kevin Fenzi 2007-05-30 23:35:47 EDT
Ping Christian. Are you still interested in submitting this package? 
If so, can you address the build failure in comment #2 and upload a new version?

John: If you are reviewing this, please set the fedora-review flag to ? 

If I don't hear anything I will close this review in 1 week. 
Comment 4 John Mahowald 2007-06-01 00:43:55 EDT
Not reviewing this anymore, reassigning to nobody.
Comment 5 Christian Nolte 2007-06-01 04:43:38 EDT
Sorry, but I currently have no time at hand to work on this. 

As a side note: this package is needed by ifolder3 which I tried to package back
then. See also:
http://www.redhat.com/archives/fedora-extras-list/2006-April/msg00052.html.
Perhaps this could be of help if someone wants to work on that (ifolder is on
the wishlist).
Comment 6 Kevin Fenzi 2007-06-01 12:29:48 EDT
ok. I will go ahead an close this now then. 
If you get some time, feel free to resubmit it or reopen this review request. 
Comment 7 Christopher Brown 2007-09-07 18:30:38 EDT
Sorry for the noise folks. I would like to re-open this review request.

Spec URL: http://snecker.fedorapeople.org/log4net/log4net.spec
SRPM URL: http://snecker.fedorapeople.org/log4net/log4net-1.2.10-1.fc7.src.rpm

Comments:

- This is a mono package and find-debuginfo.sh is failing to generate the
requisite package, though I understand this is somewhat commonplace.
- Nant is used to build the package with Strong Name signing.
- Rpmlint is quiet on source, no doc error on devel and complains about no
binary in binary rpm. I understand the latter is also not a blocker.

I am already the maintainer of a couple of other packages and log4net forms part
of around 4-5 which require iFolder to work on Fedora.

Comments appreciated.

Cheers
Chris
Comment 8 Till Maas 2007-09-08 02:39:22 EDT
Chirs, you cannot review you own package, so you should not assign this package
to you and set fedora-review to " ", otherwise no reviewer will find this review
request. I did by accident, because I used the wrong query. ;-) Also I guess the
FE-DEADREVIEW blocker should be removed and you should add yourself to CC. Or
maybe you should open a new review request, to make you reporter of the review
request, I am not sure.
Comment 9 Christopher Brown 2007-09-09 07:12:33 EDT

*** This bug has been marked as a duplicate of 283951 ***